use lazy_static::lazy_static;
use regex::Regex;
use serenity::async_trait;
use serenity::model::channel::Message;
use serenity::prelude::{Context, EventHandler};

lazy_static! {
    static ref REGEX: Regex = Regex::new("RE{5,}").unwrap();
}

pub(crate) struct ReeeResponder;

#[async_trait]
impl EventHandler for ReeeResponder {
    async fn message(&self, ctx: Context, message: Message) {
        if REGEX.is_match(&message.content_safe(ctx.clone()).await) {
            if let Some(guild_id) = message.guild_id {
                if guild_id == 679888177951277102 {
                    message
                        .channel_id
                        .say(ctx, "<:texaspat:680231475928498217>")
                        .await
                        .unwrap();
                }
            }
        }
    }
}
